Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class EJBQLDeleteTranslator

    java.lang.Object
      org.apache.cayenne.ejbql.EJBQLBaseVisitor
          org.apache.cayenne.access.jdbc.EJBQLDeleteTranslator

All Implemented Interfaces:
  EJBQLExpressionVisitor

    public class EJBQLDeleteTranslator

extends EJBQLBaseVisitor

A translator of EJBQL DELETE statements into SQL.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected EJBQLTranslationContext` | `context`

Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`continueFlag`

Constructor Summary
`EJBQLDeleteTranslator(EJBQLTranslationContext context)`

Method Summary
`boolean` | `visitDelete(EJBQLExpression expression)`
`boolean` | `visitFrom(EJBQLExpression expression, int finishedChildIndex)`
`boolean` | `visitWhere(EJBQLExpression expression)`

Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`visitAbs, visitAbstractSchemaName, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitAscending, visitAverage, visitBetween, visitBooleanLiteral, visitClassName, visitConcat, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDecimalLiteral, visitDescending, visitDistinct, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitFromItem, visitGreaterOrEqual, visitGreaterThan, visitGroupBy, visitHaving, visitIdentificationVariable, visitIdentifier, visitIn, visitInnerFetchJoin, visitInnerJoin, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMax, visitMemberOf, visitMin, visitMod, visitMultiply, visitNamedInputParameter, visitNegative, visitNot, visitNotEquals, visitOr, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPath, visitPatternValue, visitPositionalInputParameter, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitSum, visitTok, visitTrim, visitTrimBoth, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitUpper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected EJBQLTranslationContext context

Constructor Detail

### EJBQLDeleteTranslator

    public EJBQLDeleteTranslator(EJBQLTranslationContext context)

Method Detail

### visitDelete

    public boolean visitDelete(EJBQLExpression expression)

  Specified by:
    `visitDelete` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitDelete` in class `EJBQLBaseVisitor`

### visitFrom

    public boolean visitFrom(EJBQLExpression expression,
                             int finishedChildIndex)

  Specified by:
    `visitFrom` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitFrom` in class `EJBQLBaseVisitor`

### visitWhere

    public boolean visitWhere(EJBQLExpression expression)

  Specified by:
    `visitWhere` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitWhere` in class `EJBQLBaseVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.